//
//  ViewController.m
//  ColumnLineChart
//
//  Created by Developer Support on 8/8/14.
//  Copyright (c) 2014 Developer Support. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    NSMutableArray *dataColumn = [[NSMutableArray alloc] init];
    NSMutableArray *dataLine = [[NSMutableArray alloc] init];
    for (int i = 0; i < 10; i++) {
        double valueColumn = arc4random() % 100;
        [dataColumn addObject:[[NSNumber alloc] initWithDouble:valueColumn]];
        double valueLine = arc4random() % 100;
        [dataLine addObject:[[NSNumber alloc] initWithDouble:valueLine]];
    }
    
    IGCategorySeriesDataSourceHelper *sourceColumn = [[IGCategorySeriesDataSourceHelper alloc] initWithValues:dataColumn];
    IGCategorySeriesDataSourceHelper *sourceLine = [[IGCategorySeriesDataSourceHelper alloc] initWithValues:dataLine];
    
    IGChartView *infraChart = [[IGChartView alloc] initWithFrame:CGRectMake(self.view.frame.origin.x, self.view.frame.origin.y + 20, self.view.frame.size.width, self.view.frame.size.height - 20)];
    [infraChart setAutoresizingMask:UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth];
    
    IGCategoryXAxis *xAxis = [[IGCategoryXAxis alloc] initWithKey:@"xAxis"];
    IGNumericYAxis *yAxis = [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    
    IGColumnSeries *columnSeries = [[IGColumnSeries alloc] initWithKey:@"columnSeries"];
    columnSeries.xAxis = xAxis;
    columnSeries.yAxis = yAxis;
    columnSeries.dataSource = sourceColumn;
    
    IGLineSeries *lineSeries = [[IGLineSeries alloc] initWithKey:@"lineSeries"];
    lineSeries.xAxis = xAxis;
    lineSeries.yAxis = yAxis;
    lineSeries.dataSource = sourceLine;
    
    [infraChart addSeries:columnSeries];
    [infraChart addSeries:lineSeries];
    [self.view addSubview:infraChart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
